net.i2p.router.peermanager

## Class PeerTestJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.peermanager.PeerTestJob

- All Implemented Interfaces:
    Job

      public class PeerTestJob
      extends JobImpl

  Grab some peers that we want to test and probe them briefly to get some more accurate and up to date performance data. This delegates the peer selection to the peer manager and tests the peer by sending it a useless database store message TODO - What's the point? Disable this? See also notes in PeerManager.selectPeers(). TODO - Use something besides sending the peer's RI to itself?

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_PEER_TEST_CONCURRENCY`
    `static String` | `PROP_PEER_TEST_DELAY`
    `static String` | `PROP_PEER_TEST_TIMEOUT`

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerTestJob(RouterContext context)` Creates a new instance of PeerTestJob

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAvgPeerTestTime()`
    `String` | `getName()` Descriptive name of the task
    `int` | `getTotalAvgPeerTestTime()`
    `void` | `runJob()` Actually perform the task.
    `void` | `startTesting(PeerManager manager)`
    `void` | `stopTesting()`

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROP_PEER_TEST_CONCURRENCY

          public static final String PROP_PEER_TEST_CONCURRENCY

      See Also:
        Constant Field Values

    - #### PROP_PEER_TEST_DELAY

          public static final String PROP_PEER_TEST_DELAY

      See Also:
        Constant Field Values

    - #### PROP_PEER_TEST_TIMEOUT

          public static final String PROP_PEER_TEST_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PeerTestJob

          public PeerTestJob(RouterContext context)

      Creates a new instance of PeerTestJob

  - ### Method Detail

    - #### getAvgPeerTestTime

          public int getAvgPeerTestTime()

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Returns:
        the descriptive name of the task

    - #### getTotalAvgPeerTestTime

          public int getTotalAvgPeerTestTime()

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.

    - #### startTesting

          public void startTesting(PeerManager manager)

    - #### stopTesting

          public void stopTesting()